Bug 534682 - (RHQ-1455) Change to CSP software downloads URL structure seems to have broken JBoss Patch Content Source
Change to CSP software downloads URL structure seems to have broken JBoss Pat...
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Rajan Timaniya
Depends On:
  Show dependency treegraph
Reported: 2009-02-02 00:25 EST by Mark Burchard
Modified: 2013-09-02 03:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-02 03:14:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
RHQ-1455_stack_trace.txt (17.22 KB, text/plain)
2009-02-02 00:42 EST, Mark Burchard
no flags Details

  None (edit)
Description Mark Burchard 2009-02-02 00:25:00 EST
The CSP software upgrade performed over the weekend of  1/24-1/25 changed the URL structure for downloads in the CSP, breaking the CSP Feed URL:


Test Connection result:  error message: "Failed the attempt to connect to the remote repository for [JBoss Patch Content Source] Check the configuration and make sure the remote repository is up."

Synchronize result: Failure.  Will attach stack trace.

Fetch link in browser result:  Error page from CSP -  "An Unexpected Error Has Occurred"

I can't seem to find a URL that will present the same RSS feed.  In fact, I can't seem to find any RSS feeds on the CSP at all anymore.  I'm hoping they were moved and not removed.  Somebody please check my work on this one.

I'm guessing this affects any version of JON that  was shipped with this URL configured.

Comment 1 Mark Burchard 2009-02-02 00:42:29 EST
Attached: Stack trace from an attempt to Synchronize the JBoss Content Source caused by removal of RSS link from CSP.
Comment 2 Mark Burchard 2009-02-11 18:01:11 EST
This is still failing for me, even thought the URL appears to be working (albeit with a ~15 second page fetch delay, which is about on par for the CSP...)

Same results as above, although the daily sync appears to be working:

Wed Feb 11 03:00:00 EST 2009: Start synchronization of content source [JBoss Patch Content Source]Wed Feb 11 03:00:00 EST 2009: Getting currently known list of content source packages...0Wed Feb 11 03:00:01 EST 2009: Asking content source to update the list of packages...new=0, updated=0, deleted=0Wed Feb 11 03:00:01 EST 2009: FULL SUMMARY FOLLOWS:nullWed Feb 11 03:00:01 EST 2009: Merging the updated list of packages to databaseWed Feb 11 03:00:01 EST 2009: Removing...0Wed Feb 11 03:00:01 EST 2009: Adding...200Wed Feb 11 03:00:01 EST 2009: Updating...0Wed Feb 11 03:00:01 EST 2009: MERGE COMPLETE.Wed Feb 11 03:00:01 EST 2009: DONE.
Comment 3 Joseph Marques 2009-03-22 14:48:56 EDT
mark, i thought this was fixed -- is it still failing?  

even if it is, can you close this RHQ bug and open one against the Jopr project instead?
Comment 4 Red Hat Bugzilla 2009-11-10 15:33:23 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1455
Imported an attachment (id=368550)
Comment 6 Corey Welton 2010-12-23 09:23:19 EST
rajan, can you take a quick look at this?
Comment 7 Rajan Timaniya 2010-12-27 04:21:32 EST
Verified on JON-2.4.1 build #59 (build number: 10975:fafae32)

SCP feed tested with following url and both working fine. There isn't any error during connection test or synchronization. 

Comment 8 Heiko W. Rupp 2013-09-02 03:14:27 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.